model = SimplePrecessionModel()
prior = UniformDistribution([0, 1])
heuristic_class = ExpSparseHeuristic
n_exp = 50

omegas = np.linspace(0.1, 0.9, 6)
risks = np.empty_like(omegas)

for idx_omega, omega in enumerate(omegas[:, np.newaxis]):
    perf = perf_test_multiple(
        n_trials=100,
        model=model, n_particles=400, prior=prior,
        n_exp=n_exp, heuristic_class=heuristic_class,
        true_mps=omega
    )
    # We now only take the loss after the last
    # measurement (indexed by -1 along axis 1).
    risks[idx_omega] = perf['loss'][:, -1].mean(axis=0)

plt.semilogy(omegas, risks)

plt.xlabel(r'$\omega$')
plt.ylabel('Risk')
plt.show()